%define fw_version 5.24

Summary:	KDE Frameworks 5 process launcher to speed up launching KDE applications
Name:		kinit
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(x11)
# We could also use libcap-devel and libcap-utils but
# 4755 for start_kdeinit is enough, see CMakeLists.txt
Requires:	%{name}-i18n

%description
KDE Frameworks 5 process launcher to speed up launching KDE applications.

It launches processes by forking and then loading a dynamic library which
should contain a 'kdemain(...)' function.

Using kdeinit to launch KDE applications makes starting a typical KDE
applications 2.5 times faster (100ms instead of 250ms on a P-III 500) It
reduces memory consumption by approx. 350Kb per application.

%files
%{_kde5_bindir}/*
%{_kde5_mandir}/man8/kdeinit5.8*
%{_kde5_libdir}/libkdeinit5_klauncher.so
%{_kde5_libexecdir}/kf5/klauncher
# 4755 is recommended by upstream but it breaks id command for user
# attr(4755,root,root) %{_kde5_libexecdir}/kf5/start_kdeinit
%{_kde5_libexecdir}/kf5/start_kdeinit
%{_kde5_libexecdir}/kf5/start_kdeinit_wrapper

#----------------------------------------------------------------------------

%package i18n
Summary:	KInit translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KInit translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define devkf5init %mklibname kf5init -d

%package -n %{devkf5init}
Summary:	Development files for KDE Frameworks 5 process launcher
Group:		Development/KDE and Qt
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5init-devel = %{version}

%description -n %{devkf5init}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5init}
%{_kde5_libdir}/cmake/KF5Init
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (3eb9ecd) New version 5.24.0


